#Grants Advancement to nearby Players
advancement grant @a[distance=..64] only kazzmon.extravanilla:extravanilla/the_lich_ritual

#Use up Charges on Respawn Anchor
setblock ~ ~-1 ~ minecraft:respawn_anchor[charges=0]
playsound minecraft:block.respawn_anchor.set_spawn ambient @a ~ ~-1 ~ 5 2
playsound minecraft:block.respawn_anchor.set_spawn ambient @a ~ ~-1 ~ 5 1
playsound minecraft:block.respawn_anchor.deplete ambient @a ~ ~-1 ~ 5 0.5
playsound minecraft:block.respawn_anchor.deplete ambient @a ~ ~-1 ~ 5 0.8
particle soul_fire_flame ~ ~-1 ~ 0 0 0 1 100 normal

#Unlits Black Candles
setblock ~4 ~-1 ~ minecraft:black_candle[candles=4,lit=false,waterlogged=false]
setblock ~-4 ~-1 ~ minecraft:black_candle[candles=4,lit=false,waterlogged=false]
setblock ~ ~-1 ~4 minecraft:black_candle[candles=4,lit=false,waterlogged=false]
setblock ~ ~-1 ~-4 minecraft:black_candle[candles=4,lit=false,waterlogged=false]
playsound minecraft:block.fire.extinguish ambient @a ~4 ~-1 ~ 2 1
playsound minecraft:block.fire.extinguish ambient @a ~-4 ~-1 ~ 2 1
playsound minecraft:block.fire.extinguish ambient @a ~ ~-1 ~4 2 1
playsound minecraft:block.fire.extinguish ambient @a ~ ~-1 ~-4 2 1
particle cloud ~4 ~-1 ~ 0 0 0 0.1 10 normal
particle cloud ~-4 ~-1 ~ 0 0 0 0.1 10 normal
particle cloud ~ ~-1 ~4 0 0 0 0.1 10 normal
particle cloud ~ ~-1 ~-4 0 0 0 0.1 10 normal

#Removes Dragon Head
kill @e[type=#kazzmon.extravanilla:item_frames,nbt={Item:{id:"minecraft:wither_skeleton_skull",Count:1b}},sort=nearest,limit=1]

#Sound Effects
  #Nearby
playsound minecraft:entity.wither.spawn ambient @a ~ ~ ~ 0.3 2
playsound minecraft:entity.wither.spawn ambient @a ~ ~ ~ 0.3 1.2
playsound minecraft:entity.wither.ambient ambient @a ~ ~ ~ 0.2 0.9
playsound minecraft:entity.wither.ambient ambient @a ~ ~ ~ 0.2 0.7
playsound minecraft:block.sculk_shrieker.shriek ambient @a ~ ~ ~ 1 1
playsound minecraft:block.sculk_shrieker.shriek ambient @a ~ ~ ~ 1 0.7
playsound minecraft:entity.wither.death ambient @a ~ ~ ~ 0.2 0.9
playsound minecraft:entity.wither.death ambient @a ~ ~ ~ 0.2 0.5
  #Far
playsound minecraft:block.respawn_anchor.set_spawn ambient @a ~ ~ ~ 5 2
playsound minecraft:block.respawn_anchor.set_spawn ambient @a ~ ~ ~ 5 1
playsound minecraft:block.respawn_anchor.deplete ambient @a ~ ~ ~ 5 0.5
playsound minecraft:block.respawn_anchor.deplete ambient @a ~ ~ ~ 5 0.8
playsound minecraft:entity.ender_dragon.growl ambient @a ~ ~ ~ 5 2

#Particle Effects
particle minecraft:dust 0 0 0 1 ~ ~1 ~ 0.5 0.5 0.5 0.05 10 force
particle minecraft:dust 0.1 0.1 0.1 2 ~ ~1 ~ 0.5 0.5 0.5 0.05 10 force
particle minecraft:squid_ink ~ ~1 ~ 0.2 0.2 0.2 0.05 20 force
particle minecraft:dragon_breath ~ ~1 ~ 0.2 0.2 0.2 0.05 20 force
particle minecraft:lava ~ ~ ~ 0 0 0 5 200 force

#Creates Border
execute as @e[type=armor_stand,tag=kazzxv.lich] at @s positioned ~ ~-2 ~ positioned ^ ^ ^35 rotated ~ -90 run function kazzmon.extravanilla:mobs/custom_bosses/lich_riders/ritual/sentinel_border_start

#Summons Lightning Bolt
summon lightning_bolt ~ ~ ~

#Summons Boss
execute at @s positioned ~ ~ ~ run function kazzmon.extravanilla:mobs/custom_bosses/lich_riders/summon

#Removes all Sentinel Armor Stands
kill @e[type=armor_stand,tag=kazzxv.lich]