#Increase Distance and Chains
scoreboard players add wp19_distance kazzxv.raycast 35
scoreboard players add wp19_chain kazzxv.raycast 1

#Tags hit entity
tag @s add kazzxv.hit_wp19

#Effect - Deals 48 Damage - Class: Magic (Deals 80% Damage on Wither and Deals 60% Damage on Ender Dragon)
execute if entity @s[type=!#kazzmon.extravanilla:mobs_bosses,tag=!kazzxv.boss] run damage @s 48 kazzmon.extravanilla:indirect_magic by @p[tag=kazzxv.wp19_raycaster]

#Damage on Bosses - Deals 96 Damage but will no longer Chain - Class: Magic (Deals 80% Damage on Wither and Deals 60% Damage on Ender Dragon)
execute if entity @s[type=!#kazzmon.extravanilla:mobs_bosses,tag=kazzxv.boss] run damage @s 96 kazzmon.extravanilla:indirect_magic by @p[tag=kazzxv.wp19_raycaster]
execute if entity @s[type=#kazzmon.extravanilla:mobs_bosses] run damage @s 96 kazzmon.extravanilla:indirect_magic by @p[tag=kazzxv.wp19_raycaster]

#Adjust Chaining and Distance if Boss is hit
execute if entity @s[tag=kazzxv.boss] run scoreboard players set wp19_distance kazzxv.raycast 801
execute if entity @s[tag=kazzxv.boss] run scoreboard players set wp19_chain kazzxv.raycast 5
execute if entity @s[type=#kazzmon.extravanilla:mobs_bosses] run scoreboard players set wp19_distance kazzxv.raycast 801
execute if entity @s[type=#kazzmon.extravanilla:mobs_bosses] run scoreboard players set wp19_chain kazzxv.raycast 5

#Summons Lightning Bolt on Nearby Enemies
execute at @e[type=#kazzmon.extravanilla:mobs_enemies,tag=!kazzxv.hit_wp19,distance=..24,sort=random,limit=4] run summon lightning_bolt ~ ~ ~

#Sounds and Particles
playsound entity.lightning_bolt.thunder master @a ~ ~ ~ 2 1

particle minecraft:sculk_charge_pop ~ ~ ~ 0 0 0 0.1 50 force
particle minecraft:firework ~ ~ ~ 0 0 0 0.2 25 force
particle minecraft:wax_off ~ ~ ~ 0 0 0 10 25 force
particle minecraft:glow_squid_ink ~ ~ ~ 0 0 0 0.5 50 force
particle minecraft:glow_squid_ink ~ ~ ~ 0 0 0 1 100 force

#Chain to other Mobs
execute if score wp19_chain kazzxv.raycast matches ..4 facing entity @e[type=#kazzmon.extravanilla:mobs_enemies,tag=!kazzxv.wp19_raycaster,tag=!kazzxv.hit_wp19,sort=nearest,limit=1] eyes run function kazzmon.extravanilla:weapons/novaspark/attack/ray